.cta-section {
    width: 100%;
    background-color: var(--color3);
    color: var(--color7);
    padding: 0px;
    text-align: center;
    max-width: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cta-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    flex-grow: 1; /* Allows content to take up space */
    width: 100%;
    max-width: 700px;
	padding: 70px;
	gap: 0px
}

.cta-icon img {
    width: 60px;
    height: auto;
    margin-bottom: 10px;
}

.cta-title {
    color: var(--color7);
    font-size: 1.5rem;
    font-weight: bold;
    margin: 10px 0;
}

.cta-description {
    font-size: 1rem;
	margin-bottom: 0px;
/* 	color: #555555!important; */
}

/* Full-width button styling */
.cta-button {
    background-color: var(--color2);
    color: var(--color7);
    font-weight: bold;
    text-decoration: none;
    padding: 12px;
    display: block;
    text-align: center;
    width: 100%;
    max-width: 100%;
    border-radius: 0;
	font-size: 20px;
    transition: background 0.3s ease-in-out;
}

a.cta-button:hover {
	font-style: normal!important;
}

.cta-button:hover {
    background-color: var(--color7);
	color: var(--color2);
    text-decoration: none;
}

/* Responsive Adjustments */
@media screen and (max-width: 768px) {
    .cta-section {
        padding: 0;
    }

    .cta-title {
        font-size: 1.3rem;
    }

    .cta-button {
        padding: 12px;
        width: 100%; /* Button stretches full width */
        border-radius: 0;
    }
}